document.addEventListener('DOMContentLoaded', function() {
  // Mobile menu functionality
  const mobileMenu = document.querySelector('.mobile-menu');
  const navLinks = document.querySelector('.nav-links');
  
  mobileMenu?.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Sample featured jobs data
  const featuredJobs = [
    {
      title: 'Senior Software Engineer',
      company: 'TechCorp',
      location: 'San Francisco, CA',
      salary: '$120,000 - $180,000',
      type: 'Full-time'
    },
    {
      title: 'Marketing Manager',
      company: 'Global Brands',
      location: 'New York, NY',
      salary: '$80,000 - $100,000',
      type: 'Full-time'
    },
    {
      title: 'UX Designer',
      company: 'Design Studio',
      location: 'Remote',
      salary: '$90,000 - $120,000',
      type: 'Contract'
    }
  ];

  // Populate featured jobs
  const featuredJobsContainer = document.getElementById('featured-jobs');
  
  featuredJobs.forEach(job => {
    const jobElement = document.createElement('div');
    jobElement.className = 'job-card';
    jobElement.innerHTML = `
      <h3>${job.title}</h3>
      <p class="company">${job.company}</p>
      <p class="location">${job.location}</p>
      <p class="salary">${job.salary}</p>
      <span class="job-type">${job.type}</span>
    `;
    featuredJobsContainer.appendChild(jobElement);
  });

  // Search form handling
  const searchForm = document.getElementById('search-form');
  searchForm?.addEventListener('submit', (e) => {
    e.preventDefault();
    const keyword = document.getElementById('keyword').value;
    const location = document.getElementById('location').value;
    // Handle search logic here
    console.log('Searching for:', keyword, 'in', location);
  });
});
